# Use the specified Python base image
FROM python:3.11-slim

ENV version=2

# Set a working directory
WORKDIR /app

RUN apt update

# Copy only the requirements.txt file first to leverage Docker cache
COPY requirements.txt ./requirements.txt

# Upgrade pip and install required python packages
RUN pip3 install --upgrade pip && \
    pip3 install -r requirements.txt

# Copy only the src directory, if you're sure all your code resides there
COPY . ./src/

# Set the command to run your application
CMD ["python", "src/bot.py"]